Subject: Re: [ipfix] IPFIX status, propose not meeting at 59th IETF (Seoul)

From: Stewart Bryant <[email-masked]>
Date: Tue, 03 Feb 2004 11:06:42 +0000

I agree with Juergen that we have a lot of work still to do.

Please would the chairs indicate whether they indend to schedule
a meeting or not. If the issue is that the chairs are unable to
travel to Korea, I am sure that a suitable deputy could be
appointed for the meeting itself.

- Stewart

Juergen Quittek wrote:

> Dave,
> 
> The mailing list is very active and there are still many open issues.
> 
> I doubt that we will solve all of them within a month, although
> the issues are not fundamental (except the decision on the IPFIX
> default transport protocol which IMHO has not yet been made in a
> clearly visible way).
> 
> So, I guess we would have a lot of discussion points in Seoul,
> particularly concerning IPFIX transport (how to handle reconnection
> after temporary disconnection, error recovery if sequence counters
> fail, protection against DoS acctacks, ... , and the TCP section
> in the protocol draft is still empty and needs to be written and
> discussed).
> 
> So, my guess is that there is indeed a need for an IPFIX session
> at Seoul.
> 
> Thanks,
> 
>    Juergen
> 
> 
> --On 08.01.2004 16:17 Uhr -0600 Dave Plonka wrote:
> 
>> IPFIXers,
>>
>> Please review the status update (thanks to Nevil) below and
>> this proposal from Nevil and I:
>>
>> At this stage there don't appear to be any 'show-stopper' issues, which
>> raises the question, "Do we need to hold an IPFIX meeting in Seoul?"
>>
>> Your WG co-chairs feel that what's needed is concentrated work to
>> finish the four IPFIX drafts so that the protocol can be implemented
>> from the definition.  It would be great to get the drafts to WG last
>> call by late February and finished by the end of March.
>>
>> How do WG members feel about this proposal?
>>
>> If we were to meet in Seoul, what are the main issues we'd need to
>> discuss?  It would be quite a challenge for either of us to attend in
>> Seoul, so any such issues would have to be compelling.
>>
>> Cheers,
>> Dave & Nevil
>>
>> -- 
>>
>>    IPFIX WG: Status as of 9 Jan 04
>>    -------------------------------
>>
>>    1. WG Drafts being considered by IESG
>>
>>       - Requirements Draft, version 13
>>       - Evaluation draft:
>>         Simon is revising following comments from Bert (Ops AD)
>>
>>    2. Milestones
>>
>>       Have been reivsed as discussed at Minneapolis meeting.  Looking
>>       at them on the IPFIX charter page, I see that I've left out the
>>       PROTOCOL draft - that goes along with the ARCHITECTURE,
>>       INFO_MODEL and APPLICABILITY drafts.
>>
>>       Those four drafts have a milestone date saying they'll be
>>       submitted to IESG by May 04.  Note that we set that date assuming
>>       that they'd all be in their final stages by the next meeting
>>       (Seoul, 29 Feb - 5 Mar 04).  Since other WGs (e.g. PSAMP) are
>>       waiting for them, we would be good to get them done before that!
>>
>>    3. Current drafts
>>
>>       These are the four referred to in capitals above.  There's been
>>       quite a lot of mailing-list discussion of various issues relating
>>       to PROTOCOL and INFO_MODEL in the last month or so, which is
>>       great.  Also, that discussion has been fairly well-structured,
>>       i.e. we've managed to keep the issues separate by using their
>>       issue number in the subject lines.
>>
>> -- 
>> [email-masked]  http://net.doit.wisc.edu/~plonka  ARS:N9HZF  
>> Madison, WI
>>
>> -- 
>> Help        mailto:[email-masked] and say "help" in 
>> message body
>> Unsubscribe mailto:[email-masked] and say
>> "unsubscribe ipfix" in message body
>> Archive     http://ipfix.doit.wisc.edu/archive/
> 
> 
> 
> 
> 
> 
> -- 
> Help        mailto:[email-masked] and say "help" in message 
> body
> Unsubscribe mailto:[email-masked] and say
> "unsubscribe ipfix" in message body
> Archive     http://ipfix.doit.wisc.edu/archive/
> 
> 

--
Help        mailto:[email-masked] and say "help" in message body
Unsubscribe mailto:[email-masked] and say
"unsubscribe ipfix" in message body
Archive     http://ipfix.doit.wisc.edu/archive/

---

From: Sebastian Zander <[email-masked]>
Date: Tue, 03 Feb 2004 16:05:04 +0100

I also second Juergen proposal for a meeting. There are many
open issues which need to be discussed and solved.

Cheers,

Sebastian

-- 
Sebastian Zander                         E-mail: [email-masked]
Fraunhofer FOKUS / METEOR                Tel: +49-30-3463-7287
Kaiserin-Augusta-Allee 31                Fax: +49-30-3463-8287
D-10589 Berlin, Germany                  www.fokus.fraunhofer.de/usr/sebastian.zander

---

From: Dave Plonka <[email-masked]>
Date: Tue, 3 Feb 2004 11:22:31 -0600

IPFIXers,

After the recent follow-ups expressing interest in meeting in Seoul,
and our talking with the ADs, we have decided to request a meeting time
for IPFIX at the 59th IETF in Seoul.

The chairs suggest that this meeting focus on preparing and discussing
a list of editorial issues with IPFIX documents, as deemed necessary by
the draft editors present.

Unfortunately, Nevil and I will not be attending the upcoming meeting
due to other commitments.  However, Juergen Quittek (the PSAMP cochair,
and an IPFIX document editor) has offered to preside over the meeting,
so we'll ask him to serve as chair for this one meeting.
Thanks, Juergen!

I apologize for this late turn of events if it has made it hard for
anyone's travel plans.   However, note that the narrowed focus of this
upcoming meeting should mean that we can all participate effectively
even if we can't attend.  Had an IPFIX meeting not been scheduled (as
proposed earlier), the attending editors would have taken the
opportunity in Seoul to meet anyway, so a real meeting will allow
others to participate in that as well.

Dave & Nevil

-- 
[email-masked]  http://net.doit.wisc.edu/~plonka  ARS:N9HZF  Madison, WI

---

From: Dave Plonka <[email-masked]>
Date: Tue, 10 Feb 2004 10:51:01 -0600

IPFIXers,

IPFIX is currently scheduled to meet on Wednesday, March 3 at 1530-1730.

As I mentioned earlier Juergen Quittek will be assisting by presiding
over that meeting for us.

Dave